#
# spec file for package bstone
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2019, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bstone
Version:        1.1.16
Release:        lp152.1.2
Summary:        A source port of Blake Stone
License:        GPL-2.0-or-later
Group:          Amusements/Games/3D/Shoot
URL:            https://bibendovsky.github.io/bstone/
Source:         https://github.com/bibendovsky/bstone/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(sdl2)

%description
A source port of the first-person shooter Blake Stone.

Features:
 *  High resolution rendering of world (extended vanilla engine)
 *  Modern and vanilla controls
 *  Allows to customize control bindings
 *  Separate volume control of sound effects and music
Supported games:
 *  Aliens of Gold (v1.0/v2.0/v2.1/v3.0) full or shareware
 *  Planet Strike (v1.0/v1.1)


NOTE: To play Blake Stone with bstone you need the original game files
You need to start the game from within the folder with these files.

%prep
%setup -q

%build
cd src/
%cmake
%cmake_build

%install
install -Dm0755 src/build/bstone %{buildroot}%{_bindir}/bstone

%files
%license LICENSE "Blake Stone source code license.doc"
%doc CHANGELOG.md README.md
%{_bindir}/bstone

%changelog
* Sat Feb  1 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.16
  * Removed some checks on barriers
* Sat Jan 25 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.15
  * Changed: Number secret floor
  * Fixed: Destination position for inter-floor teleporter
* Wed Nov 20 2019 Simon Lees <sflees@suse.de>
- %%make_jobs is depricated replaced by %%cmake_build
* Sat Nov  9 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.14
  * Removed Alt and Ctrl to handle menu item.
  * Fixed Text typos
  * Fixed SDL with two digit sub-version number
  * Apply floor bonus correctly on percentage greater than 100%%
- Remove patch:
  * Fix-SDL2W.patch (fixed by upstream)
* Mon Sep 30 2019 Christophe Giboudeaux <christophe@krop.fr>
- Add Fix-SDL2W.patch to fix the SDL2 detection.
* Sun Jul 14 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.1.13
  * [AOG] Allow to warp to level beyond the 10th one.
  * Critical error if switch connected to non-activable object.
* Sun Jun 23 2019 Martin Hauke <mardnh@gmx.de>
- Initial package, version 1.1.12
